﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model SuDungDichVu
<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Sử dụng dịch vụ</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="id" name="id" value="@(Model != null? Model.Id.ToString():"")">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="TrangThaiID" name="TrangThaiID">
                                <option value="@EnumTrangThaiDichVu.CHUA_THUC_HIEN" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.CHUA_THUC_HIEN) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.CHUA_THUC_HIEN)</option>
                                <option value="@EnumTrangThaiDichVu.DANG_THUC_HIEN" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.DANG_THUC_HIEN) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.DANG_THUC_HIEN)</option>
                                <option value="@EnumTrangThaiDichVu.HOAN_THANH" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.HOAN_THANH) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.HOAN_THANH)</option>
                            </select>

                        </div>
                    </div>

                </div>

            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="submit" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    })
</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {

            }
        }).on('success.form.fv', function (e) {
            document.getElementById("btn-save1").disabled = true;
            e.preventDefault();
            var params = {
                id: $('#id').val(),
                status : $('#status').val()
            }
            $.ajax({
                url: '@Url.Action("Change_Status", "CanLamSang", new { area = "QuanTri" })',
                type: 'POST',
                data: params,
                success: function (data) {
                    if (data.kq == "ok") {
                        debugger;
                        $('#modal-qltaikhoan').modal('hide');
                        alertify.success(data.msg);
                        location.reload();
                        
                        $("#nhomquyenid").val(data.data);
                        DanhSach();
                    }
                    else {
                        alertify.error(data.msg);
                        document.getElementById("btn-save1").disabled = false;
                        $("#btn-save1").removeClass("disabled");
                    }
                }
            });
        });
    });

</script>






